"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorateResolveModuleNames = void 0;
const utils_1 = require("./utils");
/** 重写resolveModuleNames */
function decorateResolveModuleNames(info, ts) {
    if (info.languageServiceHost.resolveModuleNames) {
        const log = (0, utils_1.createLog)(info);
        const { roots, folders } = (0, utils_1.resolvePluginConfig)(info);
        const _resolveModuleNames = info.languageServiceHost.resolveModuleNames.bind(info.languageServiceHost);
        info.languageServiceHost.resolveModuleNames = (moduleNames, containingFile, reusedNames, redirectedReference, options, containingSourceFile) => {
            let resolvedModules = _resolveModuleNames(moduleNames, containingFile, reusedNames, redirectedReference, options, containingSourceFile);
            const { fileFilter, importFilter } = (0, utils_1.createFilter)(roots, folders);
            log(111111, "resolvedModules", JSON.stringify(moduleNames), JSON.stringify(resolvedModules));
            resolvedModules = resolvedModules.map((m, index) => {
                if (!m &&
                    importFilter.test(moduleNames[index]) &&
                    fileFilter.test(containingFile) &&
                    (/\.vue$/.test(moduleNames[index]) ||
                        !/\.[^\\/.]+$/.test(moduleNames[index]))) {
                    return (0, utils_1.resolvedCustomRelativeModule)(ts, moduleNames[index], containingFile, fileFilter);
                }
                if (!m && /\.vue$/.test(moduleNames[index])) {
                    return (0, utils_1.resolveVueFile)(moduleNames[index], containingFile);
                }
                return m;
            });
            log(222222, "resolvedModules after", JSON.stringify(resolvedModules));
            return resolvedModules;
        };
    }
}
exports.decorateResolveModuleNames = decorateResolveModuleNames;
//# sourceMappingURL=decorator.js.map